Bug 1414153 - systemd-pam.i686 missing from fedora-updates
Summary: systemd-pam.i686 missing from fedora-updates
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 22:04 UTC by Philippe Troin
Modified: 2017-12-12 10:52 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:52:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Philippe Troin 2017-01-17 22:04:47 UTC
Description of problem:
# dnf --disablerepo=* --enablerepo=fedora list availablroot@ceramic:~/usr/cnf[2]# dnf --disablerepo=* --enablerepo=fedora list available --showduplicates systemd* | grep -v @
Last metadata expiration check: 0:09:43 ago on Tue Jan 17 13:52:10 2017.
Available Packages
systemd.i686                                  231-10.fc25                 fedora
systemd.x86_64                                231-10.fc25                 fedora
systemd-bootchart.x86_64                      231-2.fc25                  fedora
systemd-container.i686                        231-10.fc25                 fedora
systemd-container.x86_64                      231-10.fc25                 fedora
systemd-devel.i686                            231-10.fc25                 fedora
systemd-devel.x86_64                          231-10.fc25                 fedora
systemd-journal-remote.x86_64                 231-10.fc25                 fedora
systemd-libs.i686                             231-10.fc25                 fedora
systemd-libs.x86_64                           231-10.fc25                 fedora
systemd-pam.i686                              231-10.fc25                 fedora
systemd-pam.x86_64                            231-10.fc25                 fedora
systemd-udev.x86_64                           231-10.fc25                 fedora

Note that systemd, systemd-pam, systemd-libs, systemd-devel and systemd-container are multilibbed (both i686 and x86_64 packages).

# dnf --disablerepo=* --enablerepo=updates list available --showduplicates systemd* | grep -v @
Last metadata expiration check: 0:11:07 ago on Tue Jan 17 13:52:04 2017.
Available Packages
systemd.i686                                 231-12.fc25                 updates
systemd.x86_64                               231-12.fc25                 updates
systemd-container.i686                       231-12.fc25                 updates
systemd-container.x86_64                     231-12.fc25                 updates
systemd-devel.i686                           231-12.fc25                 updates
systemd-devel.x86_64                         231-12.fc25                 updates
systemd-journal-remote.x86_64                231-12.fc25                 updates
systemd-libs.i686                            231-12.fc25                 updates
systemd-libs.x86_64                          231-12.fc25                 updates
systemd-pam.x86_64                           231-12.fc25                 updates
systemd-udev.x86_64                          231-12.fc25                 updates

systemd-pam is available only on x86_64, which is a problem for people running i386 pam programs.

Version-Release number of selected component (if applicable):
231-12.fc25

How reproducible:
Always

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-01-17 22:34:29 UTC
I think this must be some glitch in the infrastructure. systemd-231-12.fc25 was built with systemd-pam.i686 as usual: https://koji.fedoraproject.org/koji/buildinfo?buildID=834111.

Seems to work here, I get systemd-libs.i686, systemd-lib.x86_64, but 232-11.fc25. Maybe the mirrors are syncing?

Comment 2 Philippe Troin 2017-01-18 02:51:18 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> I think this must be some glitch in the infrastructure. systemd-231-12.fc25
> was built with systemd-pam.i686 as usual:
> https://koji.fedoraproject.org/koji/buildinfo?buildID=834111.
> 
> Seems to work here, I get systemd-libs.i686, systemd-lib.x86_64, but
> 232-11.fc25. Maybe the mirrors are syncing?

Mmm, it was the same problem with 231-11, I doubt the mirrors were
syncing since 231-11 was released.

I don't know if that's a primary, but
http://dl.fedoraproject.org/pub/fedora/linux/updates/25/x86_64/s/
only shows:
[   ] systemd-pam-231-12.fc25.x86_64.rpm  2017-01-16 13:24  177K

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-01-18 03:03:53 UTC
https://mirror.chpc.utah.edu/pub/fedora/linux/updates/25/x86_64/s/ has both.

(I went to http://download.fedoraproject.org/pub/fedora/linux/updates/25/x86_64/s/ and got randomly redirected from there.)

Try dnf clean all...

Comment 4 Philippe Troin 2017-01-18 04:49:34 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> https://mirror.chpc.utah.edu/pub/fedora/linux/updates/25/x86_64/s/ has both.
> 
> (I went to
> http://download.fedoraproject.org/pub/fedora/linux/updates/25/x86_64/s/ and
> got randomly redirected from there.)

Noy as seen from here:
https://mirror.chpc.utah.edu/pub/fedora/linux/updates/25/x86_64/s/
[   ] systemd-journal-remote-231-12.fc25.x86_64.rpm             2017-01-16 06:24  136K  
[   ] systemd-libs-231-12.fc25.i686.rpm                         2017-01-16 06:24  443K  
[   ] systemd-libs-231-12.fc25.x86_64.rpm                       2017-01-16 06:24  421K  
[   ] systemd-pam-231-12.fc25.x86_64.rpm                        2017-01-16 06:24  177K  
[   ] systemd-udev-231-12.fc25.x86_64.rpm                       2017-01-16 06:24  1.3M  

Two systemd-libs, but one systemd-pam.

Same on:
http://mirror.math.princeton.edu/pub/fedora/linux/updates/25/x86_64/s/

> Try dnf clean all...

It doesn't help.

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-01-18 15:09:48 UTC
14:11 < zbyszek> dgilmore: OK. So what do I need to do to get it multilibbed?
14:27 < dgilmore> zbyszek: there is not really a good way
14:27 < dgilmore> zbyszek: one way would be to make systemd-devel require it
14:28 < dgilmore> zbyszek: multilib is a ugly hack that really does not work well

http://pkgs.fedoraproject.org/cgit/rpms/systemd.git/commit/?h=f25&id=5d20f321b07af63812826fdf48ece50e4e1fd7f5

As a work-around, please install systemd-pam.i686 directly from koji.

Comment 6 Philippe Troin 2017-01-22 05:41:42 UTC
Yes, that's what I've done.

I don't know much about the Fedora infrastructure, but it looks to me that this is handled by the RPM repository and not in the package spec itself.

Comment 7 Fedora End Of Life 2017-11-16 19:04:55 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-12-12 10:52:57 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.